Skip to main content
PATCH
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The broadcast's prefixed id (e.g. bcst_abc123).

Body

application/json
from
string | null

Sender email address (uses account default if omitted)

to
string[]

List of recipient email addresses

subject
string

Email subject line

body
string

Email body content

customer_type
string | null

Filter recipients by customer type

send_to_all
boolean | null

Send to all customers

Response

The updated broadcast

object
string
required
id
string
required
subject
string | null
required
preview_text
string | null
required
body
string | null
required
html_body
string | null
required
from
string | null
required
reply_to
string | null
required
styled
boolean
required
audience
object
required
audience_description
string
required
status
enum<string>
required
Available options:
draft,
scheduled,
sending,
sent,
canceled,
failed
scheduled_at
string<date-time> | null
required
started_at
string<date-time> | null
required
sent_at
string<date-time> | null
required
canceled_at
string<date-time> | null
required
stats
object
required
error
string | null
required
metadata
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required